https://api.knoxapi.comList Payment Attempt Records
GET/v1/payment_attempt_records
List all the Payment Attempt Records attached to the specified Payment Record.
Query parameters
payment_recordstringRequiredThe ID of the Payment Record.
expandarray of stringsSpecifies which fields in the response should be expanded.
limitintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
starting_afterstringA cursor for use in pagination.
starting_afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending withobj_foo, your subsequent call can includestarting_after=obj_fooin order to fetch the next page of the list.
Returns
A list of payment_attempt_record objects.
curl -G https://api.knoxapi.com/v1/payment_attempt_records \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
--data-urlencode payment_record=obj_123const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/payment_attempt_records', {
payment_record: 'obj_123',
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/payment_attempt_records", payment_record="obj_123")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/payment_attempt_records', {
payment_record: 'obj_123',
}){
"object": "list",
"url": "/v1/payment_attempt_records",
"has_more": false,
"data": [
{
"amount": {
"currency": "usd",
"value": 111972721
},
"amount_authorized": {
"currency": "usd",
"value": 111972721
},
"amount_canceled": {
"currency": "usd",
"value": 111972721
},
"amount_failed": {
"currency": "usd",
"value": 111972721
},
"amount_guaranteed": {
"currency": "usd",
"value": 111972721
},
"amount_refunded": {
"currency": "usd",
"value": 111972721
},
"amount_requested": {
"currency": "usd",
"value": 111972721
},
"application": null,
"created": 1028554472,
"customer_details": {
"customer": null,
"email": null,
"name": null,
"phone": null
},
"customer_presence": null,
"description": null,
"id": "obj_123",
"livemode": true,
"metadata": {
"key": "metadata"
},
"object": "payment_attempt_record",
"payment_method_details": {
"billing_details": {
"address": {
"city": null,
"country": null,
"line1": null,
"line2": null,
"postal_code": null,
"state": null
},
"email": null,
"name": null,
"phone": null
},
"payment_method": null,
"type": "type"
},
"payment_record": null,
"processor_details": {
"type": "custom"
},
"reported_by": "stripe",
"shipping_details": {
"address": {
"city": null,
"country": null,
"line1": null,
"line2": null,
"postal_code": null,
"state": null
},
"name": null,
"phone": null
}
}
]
}Retrieve a Payment Attempt Record
GET/v1/payment_attempt_records/{id}
Retrieves a Payment Attempt Record with the given ID
Path parameters
idstringRequiredThe ID of the Payment Attempt Record.
Query parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The payment_attempt_record object.
curl https://api.knoxapi.com/v1/payment_attempt_records/obj_123 \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/payment_attempt_records/obj_123');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/payment_attempt_records/obj_123")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/payment_attempt_records/obj_123'){
"amount": {
"currency": "usd",
"value": 111972721
},
"amount_authorized": {
"currency": "usd",
"value": 111972721
},
"amount_canceled": {
"currency": "usd",
"value": 111972721
},
"amount_failed": {
"currency": "usd",
"value": 111972721
},
"amount_guaranteed": {
"currency": "usd",
"value": 111972721
},
"amount_refunded": {
"currency": "usd",
"value": 111972721
},
"amount_requested": {
"currency": "usd",
"value": 111972721
},
"application": null,
"created": 1028554472,
"customer_details": {
"customer": null,
"email": null,
"name": null,
"phone": null
},
"customer_presence": null,
"description": null,
"id": "obj_123",
"livemode": true,
"metadata": {
"key": "metadata"
},
"object": "payment_attempt_record",
"payment_method_details": {
"billing_details": {
"address": {
"city": null,
"country": null,
"line1": null,
"line2": null,
"postal_code": null,
"state": null
},
"email": null,
"name": null,
"phone": null
},
"payment_method": null,
"type": "type"
},
"payment_record": null,
"processor_details": {
"type": "custom"
},
"reported_by": "stripe",
"shipping_details": {
"address": {
"city": null,
"country": null,
"line1": null,
"line2": null,
"postal_code": null,
"state": null
},
"name": null,
"phone": null
}
}Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.